import ProTable from './ProTable/index.vue'
import TableSelect from './TableSelect/index.vue'
import ProTabs from './ProTabs/index.jsx'
import ProTree from './ProTree/index.vue'
import ProDialog from './ProDialog/index.vue'
import OpenModelButton from './OpenModelButton/index.vue'
// import Tinymce from './Tinymce/index.vue'

import {Button, FormItem, TreeSelect, Modal, Upload, Row, Col, Card} from 'ant-design-vue'

let ProComponentsMount = {}
ProComponentsMount.install = function (Vue){
    Vue.component(ProTable.name,ProTable)
    Vue.component(TableSelect.name,TableSelect)
    Vue.component(ProTabs.name,ProTabs)
    Vue.component(ProTree.name,ProTree)
    Vue.component(ProDialog.name,ProDialog)
    // Vue.component(Tinymce.name,Tinymce)
    Vue.component('OpenModelButton',OpenModelButton)
    Vue.component('ProButton',Button)
    Vue.component('ProFormItem',FormItem)
    Vue.component('ProTreeSelect',TreeSelect)
    Vue.component('ProModal',Modal)
    Vue.component('ProUpload',Upload)
    Vue.component('ProRow',Row)
    Vue.component('ProCol',Col)
    Vue.component('ProCard',Card)
}
export default ProComponentsMount;
